<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Generate pkgdown reference index — gen_pkgdown_ref • pkgpurl</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Generate pkgdown reference index — gen_pkgdown_ref"><meta name="description" content="Generates the pkgdown reference index based on the heading hierarchy structure of
a package's main .Rmd file."><meta property="og:description" content="Generates the pkgdown reference index based on the heading hierarchy structure of
a package's main .Rmd file."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Generate pkgdown reference index</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/R/pkgpurl.gen.R" class="external-link"><code>R/pkgpurl.gen.R</code></a></small>
      <div class="d-none name"><code>gen_pkgdown_ref.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Generates the <a href="https://pkgdown.r-lib.org/reference/build_reference.html#reference-index" class="external-link">pkgdown reference index</a> based on the heading hierarchy structure of
a package's main <code>.Rmd</code> file.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">gen_pkgdown_ref</span><span class="op">(</span><span class="va">rmd</span>, env <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/sys.parent.html" class="external-link">parent.frame</a></span><span class="op">(</span><span class="op">)</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-rmd">rmd<a class="anchor" aria-label="anchor" href="#arg-rmd"></a></dt>
<dd><p>The (R) Markdown file content as a character scalar.</p></dd>


<dt id="arg-env">env<a class="anchor" aria-label="anchor" href="#arg-env"></a></dt>
<dd><p>Environment to evaluate R Markdown inline code expressions in.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A list.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>Basically, all elements of the pkgdown reference index except <code>desc</code> keys are derived from <code>rmd</code>'s <a href="https://pandoc.org/MANUAL.html#headings" class="external-link">Markdown <strong>headings</strong></a> and their <strong>hierarchy</strong>. The <code>desc</code> keys, however, are assembled from the paragraph(s) below some
specially named headings. See below for details.</p>
    </div>
    <div class="section level2">
    <h2 id="special-headings">Special headings<a class="anchor" aria-label="anchor" href="#special-headings"></a></h2>
    <p>Headings that exactly match certain strings (case-insensitive, but without any inline formatting or additional text) are treated specially. Here's an
overview:</p><table class="table table"><tr><td><strong>Headings</strong></td><td><strong>Meaning</strong></td></tr><tr><td>DESCRIPTION</td><td>Paragraph(s) below this heading, which in turn is hierarchically below a <code>title</code> or <code>subtitle</code> heading, are used as the description for this very (sub)title (<code>desc</code> in the pkgdown reference index).</td></tr><tr><td>EXPORTED</td><td>Will never be used as <code>title</code> or <code>subtitle</code> in the pkgdown reference index (i.e. ignored). Simply serves as a (usually top-level) heading to indicate that the objects defined below it are <a href="https://r-pkgs.org/dependencies-in-practice.html#exports" class="external-link">exported</a> by the package.</td></tr><tr><td>INTERNAL , NOTES    , TEMPORARY, TMP</td><td>Everything that's hierarchically below one of these headings is completely ignored for pkgdown reference index generation.</td></tr></table></div>
    <div class="section level2">
    <h2 id="parsing-rules">Parsing rules<a class="anchor" aria-label="anchor" href="#parsing-rules"></a></h2>
    <p>To be able to unambiguously map an <code>.Rmd</code> file's heading hierarchy to the pkgdown reference index, some parsing rules are necessary. Attention must be paid
to the fact that, while (R) Markdown supports up to six heading levels (corresponding to HTML's <code>&lt;h1&gt;</code>–<code>&lt;h6&gt;</code> tags), the pkgdown reference index only
supports up to two (<code>title</code> and <code>subtitle</code>).</p>
<p>The following rules define how the reference index is generated:</p><ol><li><p>Headings below a heading named
<em>INTERNAL</em>, <em>NOTES</em>, <em>TEMPORARY</em> or <em>TMP</em>
(case-insensitive, but without any inline formatting) are simply ignored when generating the reference index.</p></li>
<li><p>Every heading that is a) inline-formatted as <a href="https://pandoc.org/MANUAL.html#verbatim" class="external-link">verbatim</a> and b) doesn't contain any whitespace characters is
considered to be the name of a help topic (usually the name of a function or dataset) to be included in the reference index. This maps to the <code>contents</code>
key of the reference index' YAML.</p></li>
<li><p>Non-help-topic headings above help topic headings are used as reference index (sub)titles as far as hierarchical nesting allows. More precisely,
non-help-topic headings <em>of the highest two levels</em> above the help topic heading are used as title and subtitle, the rest of the headings above the help
topic heading is ignored – and a heading named <em>EXPORTED</em> (case-insensitive, but without any inline formatting) is always ignored regardless of its
level. This maps to the <code>title</code> and <code>subtitle</code> keys of the reference index' YAML.</p></li>
<li><p>Paragraph(s) below a heading named <em>DESCRIPTION</em> (case-insensitive, but without any inline formatting), that in turn is hierarchically below a title or
subtitle heading, are used as the description for the respective (sub)title. This maps to the <code>desc</code> key of the reference index' YAML.</p></li>
</ol></div>
    <div class="section level2">
    <h2 id="parsing-example">Parsing example<a class="anchor" aria-label="anchor" href="#parsing-example"></a></h2>
    <p>An example might better explain how the parsing rules work than a thousand words, so here's a simplified one.</p>
<p>When fed to <code>gen_pkgdown_ref()</code>, the following R Markdown content...</p>
<p></p><div class="sourceCode rmd"><pre><code><span id="cb1-1"><a href="#cb1-1" tabindex="-1"></a><span class="co">---</span></span>
<span id="cb1-2"><a href="#cb1-2" tabindex="-1"></a><span class="an">editor_options:</span></span>
<span id="cb1-3"><a href="#cb1-3" tabindex="-1"></a><span class="co">  markdown:</span></span>
<span id="cb1-4"><a href="#cb1-4" tabindex="-1"></a><span class="co">    wrap: 80</span></span>
<span id="cb1-5"><a href="#cb1-5" tabindex="-1"></a><span class="co">---</span></span>
<span id="cb1-6"><a href="#cb1-6" tabindex="-1"></a></span>
<span id="cb1-7"><a href="#cb1-7" tabindex="-1"></a><span class="fu"># `main_fn`</span></span>
<span id="cb1-8"><a href="#cb1-8" tabindex="-1"></a></span>
<span id="cb1-9"><a href="#cb1-9" tabindex="-1"></a>The fn below is under no title or subtitle in the pkgdown index.</span>
<span id="cb1-10"><a href="#cb1-10" tabindex="-1"></a></span>
<span id="cb1-11"><a href="#cb1-11" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-12"><a href="#cb1-12" tabindex="-1"></a><span class="in">main_fn &lt;- function(...) {...}</span></span>
<span id="cb1-13"><a href="#cb1-13" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-14"><a href="#cb1-14" tabindex="-1"></a></span>
<span id="cb1-15"><a href="#cb1-15" tabindex="-1"></a><span class="fu"># First group of fns</span></span>
<span id="cb1-16"><a href="#cb1-16" tabindex="-1"></a></span>
<span id="cb1-17"><a href="#cb1-17" tabindex="-1"></a><span class="fu">## DESCRIPTION</span></span>
<span id="cb1-18"><a href="#cb1-18" tabindex="-1"></a></span>
<span id="cb1-19"><a href="#cb1-19" tabindex="-1"></a>The description text for *First group of fns*.</span>
<span id="cb1-20"><a href="#cb1-20" tabindex="-1"></a></span>
<span id="cb1-21"><a href="#cb1-21" tabindex="-1"></a><span class="fu">## `group_wide_fn`</span></span>
<span id="cb1-22"><a href="#cb1-22" tabindex="-1"></a></span>
<span id="cb1-23"><a href="#cb1-23" tabindex="-1"></a>The fn below is only under a title, but no subtitle in the pkgdown index.</span>
<span id="cb1-24"><a href="#cb1-24" tabindex="-1"></a></span>
<span id="cb1-25"><a href="#cb1-25" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-26"><a href="#cb1-26" tabindex="-1"></a><span class="in">group_wide_fn &lt;- function(...) {...}</span></span>
<span id="cb1-27"><a href="#cb1-27" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-28"><a href="#cb1-28" tabindex="-1"></a></span>
<span id="cb1-29"><a href="#cb1-29" tabindex="-1"></a><span class="fu">## Some subgroup</span></span>
<span id="cb1-30"><a href="#cb1-30" tabindex="-1"></a></span>
<span id="cb1-31"><a href="#cb1-31" tabindex="-1"></a>The fns below are both under a title and subtitle in the pkgdown index.</span>
<span id="cb1-32"><a href="#cb1-32" tabindex="-1"></a></span>
<span id="cb1-33"><a href="#cb1-33" tabindex="-1"></a><span class="fu">### `subgroup_fn_1`</span></span>
<span id="cb1-34"><a href="#cb1-34" tabindex="-1"></a></span>
<span id="cb1-35"><a href="#cb1-35" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-36"><a href="#cb1-36" tabindex="-1"></a><span class="in">subgroup_fn_1 &lt;- function(...) {...}</span></span>
<span id="cb1-37"><a href="#cb1-37" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-38"><a href="#cb1-38" tabindex="-1"></a></span>
<span id="cb1-39"><a href="#cb1-39" tabindex="-1"></a><span class="fu">### `subgroup_fn_2`</span></span>
<span id="cb1-40"><a href="#cb1-40" tabindex="-1"></a></span>
<span id="cb1-41"><a href="#cb1-41" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-42"><a href="#cb1-42" tabindex="-1"></a><span class="in">subgroup_fn_2 &lt;- function(...) {...}</span></span>
<span id="cb1-43"><a href="#cb1-43" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-44"><a href="#cb1-44" tabindex="-1"></a></span>
<span id="cb1-45"><a href="#cb1-45" tabindex="-1"></a><span class="fu">### Sub-subgroup</span></span>
<span id="cb1-46"><a href="#cb1-46" tabindex="-1"></a></span>
<span id="cb1-47"><a href="#cb1-47" tabindex="-1"></a>The above *Sub-subgroup* heading is ignored for the pkgdown index because the</span>
<span id="cb1-48"><a href="#cb1-48" tabindex="-1"></a>latter only supports up to two heading levels.</span>
<span id="cb1-49"><a href="#cb1-49" tabindex="-1"></a></span>
<span id="cb1-50"><a href="#cb1-50" tabindex="-1"></a>The fn below thus moves one hierarchy level up in the pkgdown index.</span>
<span id="cb1-51"><a href="#cb1-51" tabindex="-1"></a></span>
<span id="cb1-52"><a href="#cb1-52" tabindex="-1"></a><span class="fu">#### `sub_subgroup_fn`</span></span>
<span id="cb1-53"><a href="#cb1-53" tabindex="-1"></a></span>
<span id="cb1-54"><a href="#cb1-54" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-55"><a href="#cb1-55" tabindex="-1"></a><span class="in">sub_subgroup_fn &lt;- function(...) {...}</span></span>
<span id="cb1-56"><a href="#cb1-56" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-57"><a href="#cb1-57" tabindex="-1"></a></span>
<span id="cb1-58"><a href="#cb1-58" tabindex="-1"></a><span class="fu">## Another subgroup</span></span>
<span id="cb1-59"><a href="#cb1-59" tabindex="-1"></a></span>
<span id="cb1-60"><a href="#cb1-60" tabindex="-1"></a><span class="fu">### DESCRIPTION</span></span>
<span id="cb1-61"><a href="#cb1-61" tabindex="-1"></a></span>
<span id="cb1-62"><a href="#cb1-62" tabindex="-1"></a>The description text for *Another subgroup*.</span>
<span id="cb1-63"><a href="#cb1-63" tabindex="-1"></a></span>
<span id="cb1-64"><a href="#cb1-64" tabindex="-1"></a><span class="fu">### `another_subgroup_fn`</span></span>
<span id="cb1-65"><a href="#cb1-65" tabindex="-1"></a></span>
<span id="cb1-66"><a href="#cb1-66" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-67"><a href="#cb1-67" tabindex="-1"></a><span class="in">another_subgroup_fn &lt;- function(...) {...}</span></span>
<span id="cb1-68"><a href="#cb1-68" tabindex="-1"></a><span class="in">```</span></span>
<span id="cb1-69"><a href="#cb1-69" tabindex="-1"></a></span>
<span id="cb1-70"><a href="#cb1-70" tabindex="-1"></a><span class="fu"># Second group of fns</span></span>
<span id="cb1-71"><a href="#cb1-71" tabindex="-1"></a></span>
<span id="cb1-72"><a href="#cb1-72" tabindex="-1"></a><span class="fu">## Yet another subgroup</span></span>
<span id="cb1-73"><a href="#cb1-73" tabindex="-1"></a></span>
<span id="cb1-74"><a href="#cb1-74" tabindex="-1"></a><span class="fu">### `yet_another_subgroup_fn`</span></span>
<span id="cb1-75"><a href="#cb1-75" tabindex="-1"></a></span>
<span id="cb1-76"><a href="#cb1-76" tabindex="-1"></a><span class="in">```{r}</span></span>
<span id="cb1-77"><a href="#cb1-77" tabindex="-1"></a><span class="in">yet_another_subgroup_fn &lt;- function(...) {...}</span></span>
<span id="cb1-78"><a href="#cb1-78" tabindex="-1"></a><span class="in">```</span></span></code></pre><p></p></div>
<p>...yields this pkgdown index (converted <a href="https://rdrr.io/pkg/yaml/man/as.yaml.html" class="external-link">to YAML</a>):</p>
<p></p><div class="sourceCode"><pre><code><span id="cb1-1"><a href="#cb1-1" tabindex="-1"></a>reference<span class="sc">:</span></span>
<span id="cb1-2"><a href="#cb1-2" tabindex="-1"></a><span class="sc">-</span> contents<span class="sc">:</span> main_fn</span>
<span id="cb1-3"><a href="#cb1-3" tabindex="-1"></a><span class="sc">-</span> title<span class="sc">:</span> First group of fns</span>
<span id="cb1-4"><a href="#cb1-4" tabindex="-1"></a>  desc<span class="sc">:</span> The description text <span class="cf">for</span> <span class="sc">*</span>First group of fns<span class="sc">*</span>.</span>
<span id="cb1-5"><a href="#cb1-5" tabindex="-1"></a><span class="sc">-</span> contents<span class="sc">:</span> group_wide_fn</span>
<span id="cb1-6"><a href="#cb1-6" tabindex="-1"></a><span class="sc">-</span> subtitle<span class="sc">:</span> Some subgroup</span>
<span id="cb1-7"><a href="#cb1-7" tabindex="-1"></a><span class="sc">-</span> contents<span class="sc">:</span></span>
<span id="cb1-8"><a href="#cb1-8" tabindex="-1"></a>  <span class="sc">-</span> subgroup_fn_1</span>
<span id="cb1-9"><a href="#cb1-9" tabindex="-1"></a>  <span class="sc">-</span> subgroup_fn_2</span>
<span id="cb1-10"><a href="#cb1-10" tabindex="-1"></a>  <span class="sc">-</span> sub_subgroup_fn</span>
<span id="cb1-11"><a href="#cb1-11" tabindex="-1"></a><span class="sc">-</span> subtitle<span class="sc">:</span> Another subgroup</span>
<span id="cb1-12"><a href="#cb1-12" tabindex="-1"></a>  desc<span class="sc">:</span> The description text <span class="cf">for</span> <span class="sc">*</span>Another subgroup<span class="sc">*</span>.</span>
<span id="cb1-13"><a href="#cb1-13" tabindex="-1"></a><span class="sc">-</span> contents<span class="sc">:</span> another_subgroup_fn</span>
<span id="cb1-14"><a href="#cb1-14" tabindex="-1"></a><span class="sc">-</span> title<span class="sc">:</span> Second group of fns</span>
<span id="cb1-15"><a href="#cb1-15" tabindex="-1"></a><span class="sc">-</span> subtitle<span class="sc">:</span> Yet another subgroup</span>
<span id="cb1-16"><a href="#cb1-16" tabindex="-1"></a><span class="sc">-</span> contents<span class="sc">:</span> yet_another_subgroup_fn</span></code></pre><p></p></div>
    </div>
    <div class="section level2">
    <h2 id="inline-r-code">Inline R code<a class="anchor" aria-label="anchor" href="#inline-r-code"></a></h2>
    <p>R Markdown <a href="https://rmarkdown.rstudio.com/lesson-4.html" class="external-link">inline code</a> is fully supported in headings and descriptions, except for the above mentioned special
headings (otherwise, they're not recognized as special headings anymore).</p>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="kw">if</span> <span class="op">(</span><span class="fu">pal</span><span class="fu">::</span><span class="fu"><a href="https://pal.rpkg.dev/reference/is_pkg_installed.html" class="external-link">is_pkg_installed</a></span><span class="op">(</span><span class="st">"tinkr"</span><span class="op">)</span><span class="op">)</span> <span class="op">{</span></span></span>
<span class="r-in"><span>  <span class="fu">yay</span><span class="fu">::</span><span class="fu"><a href="https://yay.rpkg.dev/reference/gh_text_file.html" class="external-link">gh_text_file</a></span><span class="op">(</span>path <span class="op">=</span> <span class="st">"Rmd/pal.Rmd"</span>,</span></span>
<span class="r-in"><span>                    owner <span class="op">=</span> <span class="st">"salim-b"</span>,</span></span>
<span class="r-in"><span>                    name <span class="op">=</span> <span class="st">"pal"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>    <span class="fu">pkgpurl</span><span class="fu">::</span><span class="fu">gen_pkgdown_ref</span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>    <span class="fu">yaml</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/yaml/man/as.yaml.html" class="external-link">as.yaml</a></span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>    <span class="fu"><a href="https://rdrr.io/r/base/cat.html" class="external-link">cat</a></span><span class="op">(</span><span class="op">)</span></span></span>
<span class="r-in"><span><span class="op">}</span></span></span>
<span class="r-err co"><span class="r-pr">#&gt;</span> <span class="error">Error in pkgpurl::gen_pkgdown_ref(yay::gh_text_file(path = "Rmd/pal.Rmd",     owner = "salim-b", name = "pal")):</span> Assertion on 'rmd' failed: Must have length 1.</span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

